Bug 178004 - games/minecraft-server: [PATCH] bad checksum, bad scheme
Summary: games/minecraft-server: [PATCH] bad checksum, bad scheme
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: William Grzybowski
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-04-20 20:10 UTC by John Marino
Modified: 2013-05-19 11:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.04 KB, patch)
2013-04-20 20:10 UTC, John Marino
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description John Marino 2013-04-20 20:10:00 UTC
Problem: games/minecraft-server distfile doesn't match checksum
Cause: it looks like the master_sites selected don't use the version number (e.g. 1.4.6) but rather overwrite the file with the latest.  So it's probably pulling version 1.5.1 or something.

Dports solution:
1) pick a different master_site that keeps versions separate
2) I still had to regenerate distinfo because it was 9 bytes different

patch attached -- this is what fixed dports.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2013-04-20 20:10:08 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2013-04-20 20:10:08 UTC
Maintainer of games/minecraft-server,

Please note that PR ports/178004 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/178004

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 William Grzybowski freebsd_committer 2013-05-18 18:43:12 UTC
Responsible Changed
From-To: freebsd-ports-bugs->wg

I'll take it.
Comment 4 dfilter service freebsd_committer 2013-05-19 11:13:11 UTC
Author: wg
Date: Sun May 19 10:13:03 2013
New Revision: 318513
URL: http://svnweb.freebsd.org/changeset/ports/318513

Log:
  - Fix MASTER_SITES to point to the correct version everytime [1]
  - Bump to 1.4.7 to reflect the real distinfo version
  
  The version for downloaded file was actually 1.4.7, but VERSION was
  mistakenly set to 1.4.6.
  
  PR:		ports/178004 [1]
  Submitted by:	John Marino <draco@marino.st> [1]
  Approved by:	culot (mentor), maintainer (timeout, > 14 days)

Modified:
  head/games/minecraft-server/Makefile
  head/games/minecraft-server/distinfo

Modified: head/games/minecraft-server/Makefile
==============================================================================
--- head/games/minecraft-server/Makefile	Sun May 19 10:01:49 2013	(r318512)
+++ head/games/minecraft-server/Makefile	Sun May 19 10:13:03 2013	(r318513)
@@ -2,10 +2,9 @@
 # $FreeBSD$
 
 PORTNAME=	minecraft-server
-PORTVERSION=	1.4.6
+PORTVERSION=	1.4.7
 CATEGORIES=	games java
-MASTER_SITES=	http://s3.amazonaws.com/MinecraftDownload/launcher/ \
-		http://denkrobat.de/minecraft/ \
+MASTER_SITES=	http://assets.minecraft.net/${PORTVERSION:S|.|_|g}/ \
 		http://media-mcw.cursecdn.com/f/f7/:icon
 DISTNAME=	minecraft_server
 DISTFILES=	minecraft_server.jar \

Modified: head/games/minecraft-server/distinfo
==============================================================================
--- head/games/minecraft-server/distinfo	Sun May 19 10:01:49 2013	(r318512)
+++ head/games/minecraft-server/distinfo	Sun May 19 10:13:03 2013	(r318513)
@@ -1,4 +1,4 @@
-SHA256 (minecraft-server/1.4.6/minecraft_server.jar) = 96b7512aead2fb20ddf780d7dd74208d77f209e16058ea8944150179e65b4dd3
-SIZE (minecraft-server/1.4.6/minecraft_server.jar) = 2061638
-SHA256 (minecraft-server/1.4.6/Bookshelf.png) = fe5e7f0bbbbe284379cb5e7aed8d539b727a3039f7fe8c64a179e4fc2a0e1821
-SIZE (minecraft-server/1.4.6/Bookshelf.png) = 9674
+SHA256 (minecraft-server/1.4.7/minecraft_server.jar) = 96b7512aead2fb20ddf780d7dd74208d77f209e16058ea8944150179e65b4dd3
+SIZE (minecraft-server/1.4.7/minecraft_server.jar) = 2061638
+SHA256 (minecraft-server/1.4.7/Bookshelf.png) = fe5e7f0bbbbe284379cb5e7aed8d539b727a3039f7fe8c64a179e4fc2a0e1821
+SIZE (minecraft-server/1.4.7/Bookshelf.png) = 9674
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 William Grzybowski freebsd_committer 2013-05-19 11:15:25 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!